﻿using Com.Ctrip.Framework.Apollo.Enums;

namespace BPA.Component.ApolloClient
{
    /// <summary>
    /// 配置改变事件参数
    /// </summary>
    public class OnConfigChangeEventArgs : EventArgs
    {
        /// <summary>
        /// 配置改变事件参数
        /// </summary>
        /// <param name="key"></param>
        /// <param name="newValue"></param>
        /// <param name="oldValue"></param>
        /// <param name="changeType"></param>
        public OnConfigChangeEventArgs(string key, string newValue, string oldValue, PropertyChangeType changeType)
        {
            Key = key;
            NewValue = newValue;
            OldValue = oldValue;
            ChangeType = changeType;
        }

        /// <summary>
        /// 配置的Key
        /// </summary>
        public string Key { set; get; }

        /// <summary>
        /// 新的值
        /// </summary>
        public string NewValue { set; get; }

        /// <summary>
        /// 原来的值 
        /// </summary>
        public string OldValue { set; get; }

        /// <summary>
        /// 变化类型
        /// </summary>
        public PropertyChangeType ChangeType { set; get; }
    }
}