﻿using BPA.Component.ApolloClient;
using Com.Ctrip.Framework.Apollo;
using Com.Ctrip.Framework.Apollo.Enums;
using Microsoft.Extensions.Configuration;

namespace BPA.Component.ApolloClientTester;

/// <summary>
/// test项目的配置
/// </summary>
public class TestConfig : ApolloBPAConfig<TestConfig>
{
    #region 当前应用配置

    /// <summary>
    ///  当前应用配置配置1
    /// </summary>
    [AutoWrite()]
    public bool? TestKey1 { set; get; } = null;

    /// <summary>
    ///  当前应用配置配置2
    /// </summary>
    [AutoWrite()]
    public DateTime TestKey2 { set; get; } = DateTime.Now;

    /// <summary>
    ///  当前应用配置配置3
    /// </summary>
    [AutoWrite()]
    public List<City> TestKey3 { set; get; } = new();

    /// <summary>
    ///  TestKeyString
    /// </summary>
    [AutoWrite()]
    public string TestKeyString { set; get; } = string.Empty;

    /// <summary>
    ///  TestKeyInt
    /// </summary>
    [AutoWrite()]
    public int TestKeyInt { set; get; } = 3;
    
    /// <summary>
    /// RedisConfig
    /// </summary>
    [AutoWrite()]
    public List<string> RedisConfig { protected set; get; }

    #endregion

#pragma warning disable CS0618
    public TestConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(
        apolloConfigurationManager, configuration)
#pragma warning restore CS0618
    {
    }

    /// <summary>
    /// 当变化时
    /// </summary> 
    /// <param name="key"></param>
    /// <param name="newValue"></param>
    /// <param name="oldValue"></param>
    /// <param name="changeType"></param>
    protected override void OnApplicationConfigConfigChanged(string key, string? newValue, string? oldValue,
        PropertyChangeType changeType)
    {
        base.OnApplicationConfigConfigChanged(key, newValue, oldValue, changeType);
        Console.WriteLine($"*😡* apollo auto write info: current config -->{Newtonsoft.Json.JsonConvert.SerializeObject(this)}");
    }
}