﻿using BPA.Component.ApolloClientWebTester.Models;
using BPA.Component.Extensions;
using BPA.Component.LogClient;
using Microsoft.AspNetCore.Mvc;

namespace BPA.Component.ApolloClientWebTester.Controllers;

[ApiController]
[Route("api/[controller]/[action]")]
public class TestConfigController : ControllerBase
{
    private readonly TestConfig _testConfig;
    private readonly IConfiguration _configuration;
    private static readonly NLog.ILogger Logger = BPALogManager.GetCurrentClassLogger();

    /// <summary>
    /// 构造方法注入
    /// </summary>
    /// <param name="testConfig"></param>
    /// <param name="configuration"></param>
    public TestConfigController( IConfiguration configuration, TestConfig testConfig)
    {
        _configuration = configuration;
        _testConfig = testConfig;
    }

    /// <summary>
    /// get TestConfig
    /// </summary>
    /// <returns></returns>
    [HttpGet]
    public TestConfig Get111()
    {
        Logger.Info(_testConfig.ToJson());
        return _testConfig;
    }
}