﻿using BPA.Component.ApolloClient;
using BPA.Component.DbClient;
using BPA.Component.LogClient;
using Com.Ctrip.Framework.Apollo;

namespace BPA.Component.ApolloClientWebTester.Models
{
    /// <summary>
    /// test项目配置
    /// </summary>
    public class TestConfig : ApolloBPAConfig<TestConfig>
    {
        #region 当前应用配置

        /// <summary>
        /// MssqlDbBasics
        /// </summary>
        [AutoWrite()]
        public DbConfig MySqlDb { get; set; }

        /// <summary>
        /// ElasticSearchConfig
        /// </summary>
        [AutoWrite()]
        public ElasticSearchConfig ElasticSearchConfig { get; set; }

        #endregion

#pragma warning disable CS0618
        public TestConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(
            apolloConfigurationManager, configuration)
#pragma warning restore CS0618
        {
        }
    }

    /// <summary>
    /// City
    /// </summary>
    public class City
    {
        public string Name { set; get; }
    }

    public class MssqlDbBasics
    {
        public string MssqlDbBasic { get; set; }
    }
}