using BPA.Component.ApolloClient;
using BPA.Component.ApolloClientWebTester.Models;
using BPA.Component.LogClient.Extensions;
using NLog;

WebApplicationBuilder builder;
builder = WebApplication.CreateBuilder(args);
builder.Configuration.AddApolloConfiguration();
builder.Services.AddControllers();
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();
builder.Services.AddApollo<TestConfig>();
builder.Services.AddBPALog(true);

var app = builder.Build();
var config = app.Services.GetService<TestConfig>();
// app.UseHttpsRedirection();
// app.UseAuthorization();
app.MapControllers();
app.UseSwagger();
app.UseSwaggerUI();
app.UseDeveloperExceptionPage();
app.UseElkTarget(config.ElasticSearchConfig, LogManager.Configuration);

app.Run();