﻿namespace BPA.Component.ClickHouseClient
{
    /// <summary>
    /// 扩展
    /// </summary>
    public static class ClickHouseExtensions
    {
        /// <summary>
        /// 获取默认值
        /// </summary>
        /// <param name="targetType"></param> 
        /// <returns></returns>
        public static object GetDefaultForWrite(this Type targetType)
        {
            if (targetType == typeof(string))
                return string.Empty;
            if (targetType == typeof(DateTime))
                return ClickHouseConts.MinDateTime;
            if (targetType == typeof(DateTime?))
                return ClickHouseConts.MinDateTime;
            if (targetType == typeof(bool))
                return ClickHouseConts.SbyteOne;
            if (targetType == typeof(bool?))
                return ClickHouseConts.SbyteOne;
            if (targetType.IsEnum)
                return string.Empty;
            if (targetType == typeof(int?))
                return 0L;
            if (targetType == typeof(long?))
                return 0L;
            if (targetType == typeof(decimal?))
                return 0D;
            if (targetType == typeof(float?))
                return 0F;
            return Activator.CreateInstance(targetType);
        }
    }
}