﻿using System.Collections;
using System.ComponentModel;

namespace BPA.Component.ClickHouseClientTester.Model
{
    /// <summary>
    /// 数据同步企业息模型
    /// </summary>
    public class CorpInfoSynLocal : BaseSynTargetEntity, IEnumerable
    {

        /// <summary>
        /// 集团编号
        /// </summary>        
        public string No { set; get; }

        /// <summary>
        /// 名称
        /// </summary>  
        public string Name { set; get; }

        /// <summary>
        /// 电话号码
        /// </summary> 
        public string[] Phones { set; get; }

        /// <summary>
        /// 过期时间
        /// </summary>
        [DefaultValue(typeof(DateTime), "9999-01-01 00:00:00")]
        public DateTime CreateDate { set; get; }

        /// <summary>
        /// EnumEmployee
        /// </summary>
        [DefaultValue(EnumEmployeeStatusType.Disable)]
        public EnumEmployeeStatusType EnumEmployee { set; get; }

        public IEnumerator GetEnumerator()
        {
            new byte();
            yield return Id;
            yield return CorpId;
            yield return No;
            yield return Name;
            yield return Phones;
            yield return CreateDate.ToUniversalTime();
            yield return EnumEmployee.ToString();
            yield return IsTTLDelete;
            yield return TTLDate.ToUniversalTime();
            yield return UpdateDate.ToUniversalTime();
        }
    }


    /// <summary>
    /// 职员状态类型
    /// </summary>
    public enum EnumEmployeeStatusType : int
    {
        /// <summary>
        /// 启用 
        /// </summary> 
        Normal = 0,

        /// <summary>
        /// 禁用
        /// </summary> 
        Disable = 1
    }
}
