﻿namespace BPA.Component.DTOCommon.Langs
{
    /// <summary>
    /// 常量语音包
    /// </summary>
    public static class ConstLangPackge
    {
        /// <summary>
        /// 处理成功
        /// </summary>
        public static Lang OK = Lang.Build(nameof(OK), "处理成功", "successfully");

        /// <summary>
        /// 处理失败
        /// </summary>
        public static Lang Fail = Lang.Build(nameof(Fail), "处理失败", "processing failed");

        /// <summary>
        /// 系统繁忙
        /// </summary>
        public static Lang Error = Lang.Build(nameof(Error), "系统繁忙", "system is busy");

        /// <summary>
        /// 登陆过期
        /// </summary>
        public static Lang LoginExpired = Lang.Build(nameof(LoginExpired), "登陆过期", "login expired");

        /// <summary>
        /// 无权限
        /// </summary>
        public static Lang Unauthorized = Lang.Build(nameof(Unauthorized), "无权限", "unauthorized");

        /// <summary>
        /// 参数错误
        /// </summary>
        public static Lang ParamInvalid = Lang.Build(nameof(ParamInvalid), "参数错误", "param invalid");

        /// <summary>
        /// 请求太频繁
        /// </summary>
        public static Lang RequestLimit = Lang.Build(nameof(RequestLimit), "请求太频繁", "request too mush times");

        /// <summary>
        /// 重复提交
        /// </summary>
        public static Lang RepeatSubmit = Lang.Build(nameof(RepeatSubmit), "重复提交", "repeat submit");


    }
}
