﻿using BPA.Component.DTOCommon.Langs;

namespace BPA.Component.DTOCommon.Validations
{
    /// <summary>
    /// 参数验证接口
    /// </summary>     
    public interface BPAValidationAttribute
    { 
        /// <summary>
        /// 中文提示,返回给接口用方
        /// </summary>
        public string ZhMessage { set; get; }

        /// <summary>
        /// 英文提示,返回给接口用方
        /// </summary>
        public string EnMessage { set; get; }

        /// <summary>
        /// 验证
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public bool IsValid(object value);

        /// <summary>
        /// 获取错误消息
        /// </summary>
        /// <param name="langType"></param>
        /// <returns></returns>
        public string GetErrorMessage(LangType langType = LangType.Zn) => langType == LangType.Zn ? ZhMessage : EnMessage;
    }
}
