﻿using System.ComponentModel.DataAnnotations;

namespace BPA.Component.DTOCommon.Validations
{
    /// <summary>
    /// 邮箱地址验证
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field | AttributeTargets.Parameter, AllowMultiple = false)]
    public class EmailAddressAttribute : DataTypeAttribute, BPAValidationAttribute
    {
      
        /// <summary>
        /// 中文提示,返回给接口用方
        /// </summary>
        public string ZhMessage { set; get; }

        /// <summary>
        /// 英文提示,返回给接口用方
        /// </summary>
        public string EnMessage { set; get; }

        /// <summary>
        /// 邮箱地址验证
        /// </summary>
        /// <param name="fieldZhName">字段中文名</param>
        /// <param name="fieldEnName">字段英文名</param>
        public EmailAddressAttribute(string fieldZhName , string fieldEnName) : base(DataType.EmailAddress)
        {
            this.ZhMessage = $"{fieldZhName}不是有效的邮箱地址";
            this.EnMessage = $"{fieldEnName} is not a valid email address";
        }

        
    }
}
