﻿using System.ComponentModel.DataAnnotations;

namespace BPA.Component.DTOCommon.Validations
{
    /// <summary>
    /// 值范围验证
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field | AttributeTargets.Parameter, AllowMultiple = false)]
    public class RangeAttribute : System.ComponentModel.DataAnnotations.RangeAttribute, BPAValidationAttribute
    {
  
        /// <summary>
        /// 中文提示,返回给接口用方
        /// </summary>
        public string ZhMessage { set; get; }

        /// <summary>
        /// 英文提示,返回给接口用方
        /// </summary>
        public string EnMessage { set; get; }

        /// <summary>
        /// 值范围验证
        /// </summary>
        /// <param name="minimum"></param> 
        /// <param name="maximum">最小值</param> 
        /// <param name="fieldZhName">字段中文名</param>
        /// <param name="fieldEnName">字段英文名</param>
        public RangeAttribute(double minimum, double maximum, string fieldZhName , string fieldEnName) : base(minimum, maximum)
        { 
            this.ZhMessage = $"{fieldZhName} 必须在{minimum}到{maximum}之间";
            this.EnMessage = $"{fieldEnName} must be between {minimum} and {maximum}";
        }
    }
}
