﻿using System.ComponentModel.DataAnnotations;

namespace BPA.Component.DTOCommon.Validations
{
    /// <summary>
    /// 正则表达式验证
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field | AttributeTargets.Parameter, AllowMultiple = false)]
    public class RegularExpressionAttribute : System.ComponentModel.DataAnnotations.RegularExpressionAttribute, BPAValidationAttribute
    {

        /// <summary>
        /// 中文提示,返回给接口用方
        /// </summary>
        public string ZhMessage { set; get; }

        /// <summary>
        /// 英文提示,返回给接口用方
        /// </summary>
        public string EnMessage { set; get; }

        /// <summary>
        /// 正则表达式验证
        /// </summary> 
        /// <param name="pattern">正则表达式</param>
        /// <param name="fieldZhName">字段中文名</param>
        /// <param name="fieldEnName">字段英文名</param>
        public RegularExpressionAttribute(string pattern, string fieldZhName, string fieldEnName) : base(pattern)
        {
            this.ZhMessage = $"{fieldZhName}验证错误";
            this.EnMessage = $"{fieldEnName} is not a valid value";
        }
    }
}
