﻿using System;
using BPA.Component.ApolloClient;
using BPA.Component.DbClient;
using Com.Ctrip.Framework.Apollo;
using Com.Ctrip.Framework.Apollo.Enums;
using Microsoft.Extensions.Configuration;

namespace BPA.Component.DbClientTester;

/// <summary>
/// test项目配置
/// </summary>
public class TestConfig : ApolloBPAConfig<TestConfig>
{
    [AutoWrite] 
    public DbConfig MySqlDb { set; get; } = new();

#pragma warning disable CS0618
    public TestConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(
        apolloConfigurationManager, configuration)
#pragma warning restore CS0618
    {
    }

    protected override void OnApplicationConfigConfigChanged(string key, string newValue, string oldValue,
        PropertyChangeType changeType)
    {
        base.OnApplicationConfigConfigChanged(key, newValue, oldValue, changeType);
        Console.WriteLine($"*😡* apollo auto write info: current config -->{Newtonsoft.Json.JsonConvert.SerializeObject(this)}");
    }
}