﻿using Microsoft.Extensions.DependencyInjection;

namespace BPA.Component.Extensions
{
    /// <summary>
    /// Lazy 的默认实现, 依赖 于 IServiceProvider, T 实例是从容器中获取
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class BPADefaultLazy<T> : Lazy<T>
    {
        /// <summary>
        /// BPADefaultLazy
        /// </summary>
        /// <param name="serviceProvider"></param>
        public BPADefaultLazy(IServiceProvider serviceProvider)
            : base(() => serviceProvider.GetService<T>() ?? throw new InvalidOperationException())
        {
        }
    }
}