﻿using System.Security.Cryptography;
using System.Text;

namespace BPA.Component.Extensions
{
    /// <summary>
    /// MD5加密
    /// </summary>
    public static class Md5Extension
    {
        /// <summary>
        /// MD5加密,默认UTF8编码格式,默认固定32位
        /// </summary>
        /// <param name="text">待加密文本</param>
        /// <param name="encoding">编码格式,默认为null代表UTF8格式</param>
        /// <param name="isFixed32">是否固定32位,默认为true</param>
        /// <returns></returns>
        public static string Md5(this string text, Encoding encoding = null!, bool isFixed32 = true)
        {
            encoding ??= Encoding.UTF8;
            using var md5 = MD5.Create();
            byte[] data = md5.ComputeHash(encoding.GetBytes(text));
            var sBuilder = new StringBuilder();
            foreach (byte t in data)
            {
                var str = t.ToString("x2");
                if (isFixed32)
                    str = str.PadLeft(2, '0');
                sBuilder.Append(str);
            }

            return sBuilder.ToString();
        }
    }
}