﻿namespace BPA.Component.LogClient
{
    /// <summary>
    /// AttributeExtensions
    /// </summary>
    public static class AttributeExtensions
    {
        /// <summary>
        /// GetFirstCustomAttribute
        /// </summary>
        /// <typeparam name="TAttribute"></typeparam>
        /// <param name="type"></param>
        /// <returns></returns>
        public static TAttribute GetFirstCustomAttribute<TAttribute>(this Type type)
            where TAttribute : Attribute
            => Attribute.GetCustomAttributes(type, typeof(TAttribute)).FirstOrDefault() as TAttribute
               ?? throw new InvalidOperationException();
    }
}