﻿using NLog;

namespace BPA.Component.LogClient
{
    /// <summary>
    /// BPALogManager
    /// </summary>
    public static class BPALogManager
    {
        /// <summary>
        /// 获取当前类的Logger
        /// </summary>
        /// <param name="loggerType"></param>
        /// <returns></returns> 
        public static ILogger GetCurrentClassLogger(Type loggerType) =>
            LogManager.LogFactory.GetLogger(StackTraceUsageUtils.GetClassFullName(), loggerType);

        /// <summary>
        /// 获取当前类的Logger
        /// </summary> 
        /// <returns></returns> 
        public static ILogger GetCurrentClassLogger<TLogType>() =>
            LogManager.LogFactory.GetLogger(StackTraceUsageUtils.GetClassFullName(), typeof(TLogType));

        /// <summary>
        /// 获取当前类的Logger
        /// </summary>
        /// <returns></returns> 
        public static ILogger GetCurrentClassLogger() => LogManager.LogFactory.GetLogger(StackTraceUsageUtils.GetClassFullName());

        /// <summary>
        /// 获取Logger
        /// </summary>
        /// <param name="name"></param>
        /// <param name="loggerType"></param>
        /// <returns></returns>
        public static ILogger GetLogger(string name, Type loggerType) => LogManager.LogFactory.GetLogger(name, loggerType);

        /// <summary>
        /// 获取Logger
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        public static ILogger GetLogger(string name) => LogManager.LogFactory.GetLogger(name);
    }
}