﻿using BPA.Component.LogClient;
using BPA.Component.LogClient.Extensions;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;

namespace BPA.Component.LogClientTester
{
    internal class Program
    {
        private static void Main()
        {
            var logger = BPALogManager.GetCurrentClassLogger();
            var builder = new ConfigurationBuilder();
            builder.AddEnvironmentVariables();
            
            var services = new ServiceCollection();
            services.AddBPALog(true);

            //构建容器提供对象
            var serviceProvider = services.BuildServiceProvider();
            var logger2 = serviceProvider.GetService<ILogger<Program>>();
            UserInfo? user = null;

            while (true)
            {
                logger.Info("info1 orderinfo:{@Orderinfo},appid:{Appid}", new {orderId = 1}, 12);
                logger.InfoJson("userInfo1:{userInfo1}", user);
                logger.InfoJson("userInfo1:{userInfo1}",
                    new UserInfo {Name = "1"});
                logger.InfoJson("userInfo1:{userInfo1},userInfo2:{userInfo2}",
                    new UserInfo {Name = "1"},
                    new UserInfo {Name = "2"});
                logger.InfoJson("userInfo1:{userInfo1},userInfo2:{userInfo2},userInfo3:{userInfo3}",
                    new UserInfo {Name = "1"},
                    new UserInfo {Name = "2"},
                    new UserInfo {Name = "3"});

                if (logger2 != null)
                {
                    logger2.LogInformation("info2 {@Orderinfo}", new {orderId = 1});

                    try
                    {
                        var b = 0;
                        var a = 1000 / b;
                        Console.WriteLine(a);
                    }
                    catch (Exception ex)
                    {
                        logger.Error(ex, "异常了1");
                        logger2.LogError(ex, "异常了2");
                    }
                }

                Thread.Sleep(500);
            }
        }
    }


    internal class UserInfo
    {
        public string Name { set; get; }
    }
}