﻿using Microsoft.Extensions.Logging;

namespace BPA.Component.MongoClient;

public class BaseMongoDbClient<TMongoDbClient> where TMongoDbClient : BaseMongoDbClient<TMongoDbClient>
{
    /// <summary>
    /// Logger
    /// </summary>
    private readonly ILogger<TMongoDbClient> _logger;

    /// <summary>
    /// MongoConfig
    /// </summary>
    protected internal readonly MongoConfig Config;

    /// <summary>
    /// CurrentDatabaseName
    /// </summary>
    protected internal readonly string CurrentDatabaseName;

    /// <summary>
    /// BaseMongoDbClient
    /// </summary>
    /// <param name="config"></param>
    /// <param name="logger"></param>
    public BaseMongoDbClient(MongoConfig config, ILogger<TMongoDbClient> logger = null)
    {
        CurrentDatabaseName = config.DatabasesName;
        Config = config;
        _logger = logger;
    }
}