﻿using MongoDB.Bson.Serialization;
using MongoDB.Bson.Serialization.Conventions;

namespace BPA.Component.MongoClient.Conventions
{

    /// <summary>
    /// 字段名称 驼峰命令
    /// </summary>
    public class BPACamelCaseElementNameConvention : ConventionBase, IMemberMapConvention, IConvention
    {
        /// <summary>
        /// Applies a modification to the member map.
        /// </summary>
        /// <param name="memberMap">The member map.</param>
        public void Apply(BsonMemberMap memberMap)
        {
            string memberName = memberMap.MemberName;
            memberName = GetElementName(memberName);
            memberMap.SetElementName(memberName);
        }

        private string GetElementName(string memberName)
        {
            if (memberName.Length == 0)
                return string.Empty;
            return memberName.ToCamelCase();
        }
    }
}
