﻿using System.Globalization;

namespace BPA.Component.MongoClient.Conventions
{
    internal static class Extension
    {
        /// <summary>
        /// 驼峰命名
        /// </summary>
        /// <returns></returns>
        public static string ToCamelCase(this string s)
        {
            if (string.IsNullOrEmpty(s) || !char.IsUpper(s[0]))
            {
                return s;
            }
            char[] array = s.ToCharArray();
            for (int i = 0; i < array.Length && (i != 1 || char.IsUpper(array[i])); i++)
            {
                bool flag = i + 1 < array.Length;
                if (i > 0 && flag && !char.IsUpper(array[i + 1]))
                {
                    if (char.IsSeparator(array[i + 1]))
                    {
                        array[i] = ToLower(array[i]);
                    }
                    break;
                }
                array[i] = ToLower(array[i]);
            }
            return new string(array);
        }

        /// <summary>
        /// ToLower
        /// </summary>
        /// <param name="c"></param>
        /// <returns></returns>
        private static char ToLower(char c)
        {
            c = char.ToLower(c, CultureInfo.InvariantCulture);
            return c;
        }
    }
}
