﻿using MongoDB.Bson.Serialization.Attributes;

namespace BPA.Component.MongoClientTester.Models
{
    /// <summary>
    /// 集团信息
    /// </summary>
    public class CorpInfo
    {
        /// <summary>
        /// id
        /// </summary> 
        public long Id { set; get; }

        /// <summary>
        /// 企业id
        /// </summary>
        public long CorpId { set; get; } = 1;

        /// <summary>
        /// 是否喜欢
        /// </summary>
        public bool IsLike { set; get; }

        /// <summary>
        /// 集团编号
        /// </summary>
        public string No { set; get; }

        /// <summary>
        /// 名称
        /// </summary>
        [BsonDefaultValue(null)]
        public string Name { set; get; }

        /// <summary>
        /// 集团有多个地址
        /// </summary>
        public List<CorpAddressInfo> AddressInfos { set; get; }

        public CorpAddressInfo Creator { set; get; }

        /// <summary>
        /// 标签
        /// </summary>
        public Dictionary<string, object> Tags { set; get; }

        /// <summary>
        /// 电话号码
        /// </summary>
        public List<string> Phones { set; get; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDate { set; get; } = DateTime.Now;

        public List<long> Ids { set; get; }

        public double DB { set; get; }
    }

    /// <summary>
    /// CorpAddressInfo
    /// </summary>
    public class CorpAddressInfo
    {
        public long Id { set; get; }

        /// <summary>
        /// 经度
        /// </summary>
        public double Longitude { set; get; }

        /// <summary>
        /// 维度
        /// </summary>
        public double Latitude { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { set; get; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { set; get; }
    }
}