﻿namespace BPA.Component.RabbitMQClient.Connection
{
    /// <summary>
    /// rabbitmq 连接配置对象
    /// </summary>
    public class RabbitMqConnectionConfig
    {
        /// <summary>
        ///  The host to connect to.  ip
        /// </summary>
        public string HostName { get; set; }

        /// <summary>
        /// The port to connect on. RabbitMQ.Client.AmqpTcpEndpoint.UseDefaultPort indicates
        /// the default for the protocol should be used.
        /// </summary>
        public int Port { get; set; }

        /// <summary>
        ///  Username to use when authenticating to the server.
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// Password
        /// </summary>
        public string Password { set; get; }

        /// <summary>
        /// VirtualHost
        /// </summary>
        public string VirtualHost { set; get; }
    }
}
