﻿namespace BPA.Component.RabbitMQClient.Options
{
    /// <summary>
    /// 交换机名称
    /// </summary>
    public class ExchangeName
    {

        /// <summary>
        /// 构建一个交换机的名字
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        public static ExchangeName Build(string name) => new ExchangeName { Name = name };

        /// <summary>
        /// 交换机名称
        /// </summary>
        public string Name { private set; get; }

        /// <summary>
        /// 隐式 转换为string
        /// </summary>
        /// <param name="exchangeName"></param>
        public static implicit operator string(ExchangeName exchangeName) => exchangeName.Name;

        /// <summary>
        /// ToString
        /// </summary>
        /// <returns></returns>
        public override string ToString() => Name;
    }
}

