﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;
using RabbitMQ.Client.Events;

namespace BPA.Component.RabbitMQClientTester.Custom
{
    /// <summary>
    /// 测试自定义交换机队列消费者1
    /// </summary>
    public class TestCustomQueueConsumer2 : BaseConsumer<TestMsgBody, TestCustomQueueConsumer2>
    {
        private readonly IServiceProvider serviceProvider;

        public TestCustomQueueConsumer2(IServiceProvider serviceProvider, ILogger<TestCustomQueueConsumer2> logger) : base(logger)
        {
            this.serviceProvider = serviceProvider;
        }


        /// <summary>
        /// 消息出列
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="queueConfig"></param>
        /// <param name="eventArgs"></param>
        /// <returns></returns>
        public override bool Dequeue(TestMsgBody msgBody, BasicDeliverEventArgs eventArgs)
        {
            Console.WriteLine($"\nTestCutomQueueConsumer_2_消息出列:" +
                              $"\n\t\t\t[{GetHashCode()}]-[{ConsumeId}]" +
                              $"\n\t\t\t[{nameof(msgBody.Id)}]={msgBody.Id},{nameof(msgBody.Date)}]={msgBody.Date}");
            //返回false 代表消费失败，消息会返回队列,返回true代表消费成功 
            return true;
        }
    }
}