﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;

namespace BPA.Component.RabbitMQClientTester.Custom
{
    /// <summary>
    /// 测试队列生产者
    /// </summary>
    public class TestCustomQueueProducer : BaseProducer<TestMsgBody, TestCustomQueueProducer>
    {
        public TestCustomQueueProducer(ILogger<TestCustomQueueProducer> logger) : base(logger)
        {
        }

        /// <summary>
        /// 消息入列,可以不重写,如果重写必须调用父类的 Enqueue
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="expiration"></param>
        public override void Enqueue(TestMsgBody msgBody, string routingKey = null, long? expiration = null)
        {
            Console.WriteLine($"TestCutomQueueProducer.消息入列:[{nameof(msgBody.Id)}]={msgBody.Id},{nameof(msgBody.Date)}]={msgBody.Date}");
            base.Enqueue(msgBody, routingKey, expiration);
        }
    }
}