﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;
using RabbitMQ.Client.Events;

namespace BPA.Component.RabbitMQClientTester.Default
{
    /// <summary>
    /// 测试默认交换机队列消费者1
    /// </summary>
    public class TestDefaultQueueConsumer1 : BaseConsumer<TestMsgBody, TestDefaultQueueConsumer1>
    {
        private readonly IServiceProvider serviceProvider;

        public TestDefaultQueueConsumer1(IServiceProvider serviceProvider, ILogger<TestDefaultQueueConsumer1> logger) : base(logger)
        {
            this.serviceProvider = serviceProvider;
        }
         

        /// <summary>
        /// 消息出列
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="eventArgs"></param>
        /// <returns></returns>
        public override bool Dequeue(TestMsgBody msgBody, BasicDeliverEventArgs eventArgs)
        {
            Console.WriteLine($"\nTestDefaultQueueConsumer_1_消息出列:" +
                $"\n\t\t\t[{GetHashCode()}]-[{ConsumeId}]" +
                $"\n\t\t\t[{nameof(msgBody.Id)}]={msgBody.Id},{nameof(msgBody.Date)}]={msgBody.Date}");
            
            //返回false 代表消费失败，消息会返回队列,返回true代表消费成功 
            return true;
        }
    }
}
