﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;

namespace BPA.Component.RabbitMQClientTester.Default
{
    /// <summary>
    /// 测试默认交换机队列生产者
    /// </summary>
    public class TestDefaultQueueProducer : BaseProducer<TestMsgBody, TestDefaultQueueProducer>
    {
        public TestDefaultQueueProducer(ILogger<TestDefaultQueueProducer> logger) : base(logger)
        {
        }

        /// <summary>
        /// 消息入列,可以不重写,如果重写必须调用父类的 Enqueue
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="routingKey"></param>
        /// <param name="expiration"></param>
        public override void Enqueue(TestMsgBody msgBody, string? routingKey = null, long? expiration = null)
        {
            Console.WriteLine($"TestDefaultQueueProducer.消息入列:[{nameof(msgBody.Id)}]={msgBody.Id},{nameof(msgBody.Date)}]={msgBody.Date}");
            base.Enqueue(msgBody, routingKey, expiration);
        }
    }
}
