﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;
using RabbitMQ.Client.Events;

namespace BPA.Component.RabbitMQClientTester.Delays
{
    /// <summary>
    /// 测试自定义交换机队列消费者1
    /// </summary>
    public class TestDelayQueueConsumer : BaseConsumer<TestMsgBody, TestDelayQueueConsumer>
    {
        private readonly IServiceProvider serviceProvider;

        public TestDelayQueueConsumer(IServiceProvider serviceProvider, ILogger<TestDelayQueueConsumer> logger) : base(logger)
        {
            this.serviceProvider = serviceProvider;
        }


        /// <summary>
        /// 消息出列
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="eventArgs"></param>
        /// <returns></returns>
        public override bool Dequeue(TestMsgBody msgBody, BasicDeliverEventArgs eventArgs)
        {
            Console.WriteLine($"TestDelayQueueConsumer.消息出列: Delay:{(int) (DateTime.Now - msgBody.Date).TotalSeconds * 1000},{Newtonsoft.Json.JsonConvert.SerializeObject(msgBody)}");
            //返回false 代表消费失败，消息会返回队列,返回true代表消费成功 
            return true;
        }
    }
}