﻿using BPA.Component.RabbitMQClient.Base;
using BPA.Component.RabbitMQClientTester.Modesl;
using Microsoft.Extensions.Logging;

namespace BPA.Component.RabbitMQClientTester.Delays
{
    /// <summary>
    /// 测试队列生产者
    /// </summary>
    public class TestDelayQueueProducer : BaseProducer<TestMsgBody, TestDelayQueueProducer>
    {
        public TestDelayQueueProducer(ILogger<TestDelayQueueProducer> logger) : base(logger)
        {
        }

        /// <summary>
        /// 消息入列,可以不重写,如果重写必须调用父类的 Enqueue
        /// </summary>
        /// <param name="msgBody"></param>
        /// <param name="expiration">单位 毫秒</param>
        public override void Enqueue(TestMsgBody msgBody, string routingKey = null, long? expiration = null)
        {
            Console.WriteLine($"TestDelayQueueProducer.消息入列:[{ Newtonsoft.Json.JsonConvert.SerializeObject(msgBody)}");
            base.Enqueue(msgBody, routingKey, expiration);
        }
    }
}
