﻿using BPA.Component.RabbitMQClient.Options;

namespace BPA.Component.RabbitMQClientTester.Modesl
{
    /// <summary>
    /// 消息队列命名
    /// </summary>
    public static class MqNameConfig
    {
        #region 默认交换机

        /// <summary>
        /// 测试队列1,消息体 <see cref="TestMsgBody"/>
        /// </summary>
        public readonly static QueueName TestDefaultQueue1 = QueueName.Build(nameof(TestDefaultQueue1));

        #endregion

        #region 自定义交换机

        /// <summary>
        /// 测试自定义交换机名称
        /// </summary>
        public readonly static ExchangeName TestCustomExchange = ExchangeName.Build(nameof(TestCustomExchange));

        /// <summary>
        /// 测试队列1,消息体 <see cref="TestMsgBody"/>
        /// </summary>
        public readonly static QueueName TestCustomQueue1 = QueueName.Build(nameof(TestCustomQueue1));

        /// <summary>
        /// 测试队列2,消息体 <see cref="TestMsgBody"/>
        /// </summary>
        public readonly static QueueName TestCustomQueue2 = QueueName.Build(nameof(TestCustomQueue2));

        #endregion

        #region

        /// <summary>
        /// 延时交换机1
        /// </summary>
        public static readonly ExchangeName TestDelayExchange1 = ExchangeName.Build(nameof(TestDelayExchange1));

        /// <summary>
        /// 延时交换机2
        /// </summary>
        public static readonly ExchangeName TestDelayExchange2 = ExchangeName.Build(nameof(TestDelayExchange2));

        /// <summary>
        /// 延时队列,消息体 <see cref="TestMsgBody"/>
        /// </summary>
        public static readonly QueueName TestDelayQueue1 = QueueName.Build(nameof(TestDelayQueue1));

        #endregion
    }
}