﻿using CSRedis;

namespace BPA.Component.RedisClient;

/// <summary>
/// CSRedis扩展类
/// </summary>
public static class CSRedisClientExtensions
{
    /// <summary>
    /// 设置值
    /// </summary>
    /// <param name="source"></param>
    /// <param name="key">key</param>
    /// <param name="value">设置的值</param>
    /// <param name="expireDateTime">过期时间</param>
    /// <param name="exists"> Nx, Xx</param>
    public static bool Set<TValue>(this CSRedisClient source,
        string key,
        TValue value,
        DateTime? expireDateTime = null,
        RedisExistence? exists = null)
    {
        var expireSeconds = expireDateTime.HasValue ? (int) (expireDateTime.Value - DateTime.Now).TotalSeconds : -1;
        if (expireSeconds < -1)
            expireSeconds = -1;
        return source.Set(key, value, expireSeconds, exists);
    }
}