﻿using CSRedis;

namespace BPA.Component.RedisClient;

/// <summary>
/// 工厂模式，如果需要操作多个redis集群的时候，就需要多个client,
/// 这时建议使用工厂模式进行构建不同集群的连接client,
/// 另外需要实现当配置改变时,重新初始化client,
/// 保持CSRedisClient为单例模式,所以自建工厂时也用单例模式,在配置更改时，重新初始化client
/// </summary>
public abstract class RedisClientFactory
{
    /// <summary>
    /// 创建redis连接对象
    /// </summary>
    /// <param name="connectionString"></param>
    /// <returns></returns>
    protected static CSRedisClient CreateCsRedisClient(string connectionString)
    {
        return new CSRedisClient(connectionString);
    }
}