﻿using BPA.Component.ApolloClient;
using Com.Ctrip.Framework.Apollo;
using Com.Ctrip.Framework.Apollo.Enums;
using Microsoft.Extensions.Configuration;

namespace BPA.Component.RedisClientTester
{
    /// <summary>
    /// test项目配置
    /// </summary>
    public class TestConfig : ApolloBPAConfig<TestConfig>
    {

        /// <summary>
        /// RedisConfig
        /// </summary>
        [AutoWrite()]
        public List<string> RedisConfig { protected set; get; }
        
#pragma warning disable CS0618 // 类型或成员已过时
        public TestConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(apolloConfigurationManager, configuration)
#pragma warning restore CS0618 // 类型或成员已过时
        {

        }

        /// <summary>
        /// 当变化时
        /// </summary> 
        /// <param name="key"></param>
        /// <param name="newValue"></param>
        /// <param name="oldValue"></param>
        /// <param name="changeType"></param>
        protected override void OnApplicationConfigConfigChanged(string key, string? newValue, string? oldValue, PropertyChangeType changeType)
        {
            base.OnApplicationConfigConfigChanged(key, newValue, oldValue, changeType);
            Console.WriteLine($"*😡* apollo auto write info: current config -->{Newtonsoft.Json.JsonConvert.SerializeObject(this)}");
        }
    }


    /// <summary>
    /// 
    /// </summary>
    public class City
    {
        public string Name { set; get; }
    }
}
