﻿using BPA.Component.DTOCommon.Langs;

namespace BPA.Component.SDKCommon
{
    /// <summary>
    /// ApiUrlFuncCollection
    /// </summary>
    public class SDKUrlFuncCollection
    {
        private readonly Dictionary<string, Func<IServiceProvider, string>> _getApiUrlFunc = new();

        /// <summary>
        /// 获取语言类型的方法
        /// </summary>
        public Func<IServiceProvider, LangType> GetClientLangFunc;

        /// <summary>
        /// 设置
        /// </summary>
        /// <typeparam name="TApiSDK"></typeparam>
        /// <param name="getApiUrlFuns"></param>
        internal void Set<TApiSDK>(Func<IServiceProvider, string> getApiUrlFuns)
        {
            _getApiUrlFunc[typeof(TApiSDK).FullName] = getApiUrlFuns;
        }

        /// <summary>
        /// 获取 
        /// </summary>
        /// <typeparam name="TApiSDK"></typeparam>
        /// <returns></returns>
        public Func<IServiceProvider, string> Get<TApiSDK>()
        {
            return _getApiUrlFunc[typeof(TApiSDK).FullName];
        }
    }
}