﻿using BPA.Component.DTOCommon.Validations;
using Newtonsoft.Json;
using Newtonsoft.Json.Serialization;

namespace BPA.Component.WebApiExtensions.JsonConverters
{
    /// <summary>
    /// json序列化过滤不用的属性，属性首字母小写
    /// </summary>
    public class ExcludePropertiesContractResolver : CamelCasePropertyNamesContractResolver
    {
        /// <summary>
        ///  ExcludePropertiesContractResolver
        /// </summary> 
        public ExcludePropertiesContractResolver()
        {
        }

        /// <summary>
        /// 过滤属性
        /// </summary>
        /// <param name="type"></param>
        /// <param name="memberSerialization"></param>
        /// <returns></returns>
        protected override IList<JsonProperty> CreateProperties(Type type, MemberSerialization memberSerialization)
        {
            var jps = base.CreateProperties(type, memberSerialization)
                .Where(m =>
                {
                    if (m.AttributeProvider == null)
                        return true;
                    if (m.AttributeProvider.GetAttributes(typeof(BPAExcludeGetewayAttribute), true).Count() > 0)
                        return false;
                    return true;
                }).ToList();
            return jps;
        }
    }
}