﻿using BPA.Component.DTOCommon.Validations;
using Microsoft.AspNetCore.Mvc.ModelBinding.Validation;

namespace BPA.Component.WebApiExtensions.ValidationExtensions
{
    /// <summary>
    /// BPAModelValidatorProvider
    /// </summary>
    public class BPAModelValidatorProvider : IModelValidatorProvider
    {
        /// <summary>
        /// 是否为网关层
        /// </summary>
        private readonly bool isGeteway;

        /// <summary>
        /// 构造方法
        /// </summary>
        /// <param name="isGeteway">是否为网关层</param>
        public BPAModelValidatorProvider(bool isGeteway = false)
        {
            this.isGeteway = isGeteway;
        }

        /// <summary>
        /// CreateValidators
        /// </summary>
        /// <param name="context"></param>
        public void CreateValidators(ModelValidatorProviderContext context)
        {
            foreach (var resut in context.Results)
            {
                if (!(resut.ValidatorMetadata is BPAValidationAttribute attribute))
                    continue;
                //字段全路径 
                resut.Validator = new BPAModelValidator(attribute, isGeteway);
            }
        }
    }
}